<?php
 
 if(preg_match('#' . basename(__FILE__) . '#', $_SERVER['PHP_SELF'])) { die('You are not allowed to call this page directly.'); }

class Admin_ManageAlbums_ManageAlbum extends Admin_ManageAlbums {
	var $album;
	var $pagination;
	var $images_array;
	var $paged_images;
	var $id;
	var $key;
	var $album_post;
	var $categories_value;
	var $subcategories_value;
	var $watermarks_value;
	var $class;
	public function __construct() {
		//global $f;
		add_action('wp_ajax_album_images', array(&$this,'album_images_callback'));
		add_action('wp_ajax_image_exif', array(&$this,'image_exif_callback'));
		add_action('wp_ajax_image_hide', array(&$this,'image_hide_callback'));
		add_action('wp_ajax_album_edit', array(&$this,'album_edit_callback'));
                add_action('wp_ajax_caption_save', array(&$this,'caption_save_callback'));
		add_action('wp_ajax_subcategories_get', array(&$this,'subcategories_get_callback'));
		add_action('admin_menu',array(&$this,'admin_menu_create'),1);
		if($_GET['page'] == 'smugmug-manage-album') {
			add_action('admin_head', array(&$this,'smp_album_images_javascript'),99);
			if(empty($_POST['id']) && empty($_POST['key'])) {
				$this->id = $_GET['id'];
				$this->key = $_GET['key'];
			} else {
				$this->id = $_POST['id'];
				$this->key = $_POST['key'];
			}
			
			//$this->album = $f->albums_getInfo("AlbumID=".$this->id,"AlbumKey=".$this->key);
                        $this->album = $this->phpsmug_functions('albums_getInfo',array('AlbumID' => $this->id, 'AlbumKey' => $this->key));
			//print_r($this->album);
		}
		
	}
	public function renderer($layout=false) {
		$this->class = get_class();
		$this->render($layout,$this->class);
	}
	function admin_menu_create() {
		add_submenu_page('smugmug-manage-albums','Manage Album | SmugPress','Manage Album','manage_options',
			'smugmug-manage-album',array(&$this,'smugpress_manage_album'));
	}
	function caption_save_callback() {
            //global $f;
            //$f->images_changeSettings(array('ImageID' => $_POST['image_id'], 'Caption' => $_POST['caption']));
            $this->phpsmug_functions('images_changeSettings',array('ImageID' => $_POST['image_id'], 'Caption' => $_POST['caption']));
            //print_r($_POST);
            die();
        }
	function smp_album_images_javascript() {
		$this->renderer('javascript');
		//endif;
	}

	public function smp_album_edit_submit($posted_album,$album) {
		//global $f;

		$album_post = explode("&", $posted_album['album']);
			
		$check_boxes = $posted_album['check_boxes'];
		//echo '<pre>';
		//print_r($check_boxes);
		//echo '</pre>';
		$i = 0;
		foreach($album_post as $album_change) {
			$_setting = explode('=',$album_change);
			$_name = str_replace(array('%5B','%5D'),'',$_setting[0]);
			$album_changes[$_name] = str_replace('+',' ',$_setting[1]);
			$i++;
		}
		foreach($check_boxes as $key => $check_box) {
			if(!array_key_exists($check_box,$album_changes)) {
				$album_changes[$check_box] = 0;
			}
		}
		//print_r($album_changes);
		$album_changes_new = array();
		foreach($album_changes as $name => $value) {
			switch($name) {
                            case 'CategoryID':
                                if($value != $album['Category']['id']) {
                                    $album_changes_new[$name] = $value;
                                }
                                break;
                            case 'SubCategoryID':
                                if($value == 'new') {

                                } elseif($value != $album['SubCategory']['id']) {
                                    $album_changes_new[$name] = $value;
                                }
                                break;
                            case 'NewCategoryName':
                                if(!empty($new_album['NewCategoryName'])) {
                                    //$new_category = $f->categories_create(array('Name' => $new_album['NewCategoryName']));
                                    $new_category = $this->phpsmug_functions('categories_create',array('Name' => $new_album['NewCategoryName']));
                                    $new_album_create['CategoryID'] = $new_category['id'];
                                    $new_album['CategoryID'] = $new_category['id'];
                                }
                                break;
                            case 'NewSubCategoryName':
                                if(!empty($album_changes['NewSubCategoryName'])) {
                                    //$new_subcategory = $f->subcategories_create(array('CategoryID' => $album_changes['CategoryID'], 'Name' => $value));
                                    $new_subcategory = $this->phpsmug_functions('subcategories_create',array('CategoryID' => $album_changes['CategoryID'], 'Name' => $value));
                                    $album_changes_new['SubCategoryID'] = $new_subcategory['id'];
                                }

                                break;
                            default:
                                if($value != $album[$name]) {
                                    $album_changes_new[$name] = $value;
                                }
					
			}
		}
		if(!empty($album_changes_new)) {
			$album_changes_new = array('AlbumID' => $album['id'], 'AlbumKey' => $album['Key'])+$album_changes_new;
                        
                        $response = $this->phpsmug_functions('albums_changeSettings',$album_changes_new);
                        
			/*try {
				$response = $f->albums_changeSettings($album_changes_new);
			}
			catch ( Exception $e ) {
				echo "<div id='message' class='error'><p><strong>Error</strong></p><p>{$e->getMessage()} (Error Code: {$e->getCode()})</p></div>";
			}*/
		} else {
			echo '<div id="message" class="error"><p><strong>Nothing to Update</strong></p><p>The album '.$album['Title'].' didn\'t have any changes to make.</p></div>';
		}
		
		//$response = $f->albums_changeSettings($this->album_changes_new);
		if($response['id'] == $album['id']) {
			echo '<div id="message" class="updated"><p><strong>Success!</strong></p><p>The album '.$album['Title'].' has been successfully updated.</p></div>';
		}
		//return $f->albums_getInfo("AlbumID=".$album['id'],"AlbumKey=".$album['Key']);
                return $response = $this->phpsmug_functions('albums_getInfo',array('AlbumID' => $album['id'], 'AlbumKey' => $album['Key']));
	}
	
	function album_edit_callback() {
		//global $f;
		
		$this->album_post['album'] = $_POST['form_data'];
		$this->album_post['check_boxes'] = $_POST['check_boxes'];
		
		$i = 0;
		
		$album_id = $_POST['id'];
		$album_key = $_POST['key'];
		
		//print_r($this->album);
		
		//$this->album = $f->albums_getInfo("AlbumID=".$album_id,"AlbumKey=".$album_key);
		
                $this->album = $this->phpsmug_functions('albums_getInfo',array('AlbumID' => $album_id, 'AlbumKey' => $album_key));
                
		if(isset($this->album_post['album'])) {
			$this->album = $this->smp_album_edit_submit($this->album_post,$this->album);
		}
		
		//$images = $f->images_get( "AlbumID=".$id,"AlbumKey=".$key, "Heavy=1" );
		//$categories = $f->categories_get();
                $categories = $this->phpsmug_functions('categories_get');
		for($i = 0; $i < count($categories); $i++) {
			$this->categories_value[$i]['value'] = $categories[$i]['id'];
			$this->categories_value[$i]['name'] = $categories[$i]['Name'];
		}
		
		array_push($this->categories_value,array('value' => 'new', 'name' => 'Create New'));
		
		//$subcategories = $f->subcategories_get("CategoryID=".$this->album['Category']['id']);
		$subcategories = $this->phpsmug_functions('subcategories_get',array('CategoryID' => $this->album['Category']['id']));
                
		for($i = 0; $i < count($subcategories); $i++) {
			$this->subcategories_value[$i]['value'] = $subcategories[$i]['id'];
			$this->subcategories_value[$i]['name'] = $subcategories[$i]['Name'];
		}
		
		
		
		if(!empty($this->subcategories_value)) {
			$subcategory_select = array('value' => '','name' => 'Select Sub Category');
			$subcategory_none = array('value' => '0','name' => 'None');
			$subcateogry_new = array('value' => 'new','name' => 'Create New');
			array_unshift($this->subcategories_value,$subcategory_none);
			array_unshift($this->subcategories_value,$subcategory_select);
			array_push($this->subcategories_value,$subcateogry_new);
			//$this->subcategories_value = $this->subcategories_value[0];
		} else {
			$this->subcategories_value = array(array('value' => 'new','name' => 'Create New'));
		}
		
		/*$watermarks = $f->watermarks_get();
		for($i = 0; $i < count($watermarks); $i++) {
			$this->watermarks_value[$i]['value'] = $watermarks[$i]['id'];
			$this->watermarks_value[$i]['name'] = $watermarks[$i]['Name'];
		}*/
		
		$this->renderer('manage-album-edit');
		
		die();
	}

	function subcategories_get_callback() {
		global $f;
		$category_id = $_POST['category_id'];
		$subcategory_id = $_POST['subcategory_id'];
		$subcategory_manage = $_POST['subcategory_manage'];
		
		if($category_id != 'new') {
                        //$subcategories = $f->subcategories_get("CategoryID=".$category_id);
			$subcategories = $this->phpsmug_functions('subcategories_get',array('CategoryID' => $category_id));
			if($subcategories) {
				echo '<option value="">Select Sub Category</option>';
				echo '<option value="0">None</option>';
				for($i = 0; $i < count($subcategories); $i++) {
					if($subcategory_id == $subcategories[$i]['id']) {
						echo '<option selected="selected" value="'.$subcategories[$i]['id'].'">'.$subcategories[$i]['Name'].'</option>';
					} else {
						echo '<option value="'.$subcategories[$i]['id'].'">'.$subcategories[$i]['Name'].'</option>';
					}
				}
				echo '<option value="new">Create New</option>';
			} else {
				echo '<option value=""></option>';
				echo '<option value="0">None</option>';
				echo '<option value="new">Create New</option>';
			}
			
		} else {
			echo '<option value=""></option>';
			echo '<option value="0">None</option>';
			echo '<option value="new">Create New</option>';
		}
		
		die();
	}

	function image_hide_callback() {
		//global $f;
		
		$imgId = $_POST['id'];
		$imgKey = $_POST['key'];
		$hidden = $_POST['hidden'];
		
		try {
			if($hidden == 1) {
				//$f->images_changeSettings( "ImageID={$imgId}", "ImageKey={$imgKey}", "Hidden=0");
                                $this->phpsmug_functions('images_changeSettings',array(
                                    'ImageID' => $imgId,
                                    'ImageKey' => $imgKey,
                                    'Hidden' => 0,
                                ));
				echo '<button class="button-secondary" imagehide="0" key="'.$imgKey.'" id="'.$imgId.'">Hide Image</button>';
				echo '<h3>Not Hidden</h3>';
			} else {
				//$f->images_changeSettings( "ImageID={$imgId}", "ImageKey={$imgKey}", "Hidden=1");
                                $this->phpsmug_functions('images_changeSettings',array(
                                    'ImageID' => $imgId,
                                    'ImageKey' => $imgKey,
                                    'Hidden' => 1,
                                ));
				echo '<button class="button-secondary" imagehide="1" key="'.$imgKey.'" id="'.$imgId.'">Show Image</button>';
				echo '<h3>Hidden</h3>';
			}
		}
		catch ( Exception $e ) {
			echo "{$e->getMessage()} (Error Code: {$e->getCode()})";
		}
		
		//print_r($image_exif);
		//echo $image_exif[0];
		
		die();
	}

	function image_exif_callback() {
		//global $f;
		
		$imgId = $_POST['id'];
		$imgKey = $_POST['key'];
		$this->fileName = $_POST['filename'];
		
		//$array = array('ImageID' => $imgId, 'ImageKey' => $imgKey);
		
		try {
                    $this->phpsmug_functions('images_getEXIF',array('ImageID' => $imgId, 'ImageKey' => $imgKey));
			//$this->image_exif = $f->images_getEXIF( "ImageID={$imgId}", "ImageKey={$imgKey}");
		}
		catch ( Exception $e ) {
			echo "{$e->getMessage()} (Error Code: {$e->getCode()})";
		}
		
		$this->renderer('manage-album-exif-data');
		
		die();
	}
	
	
	
	function album_images_callback() {
		//global $f;
		
		if(isset($_REQUEST['page'])) {
			$this->currentPage = $_REQUEST['page'];
		} else {
			$this->currentPage = 1;
		}
		
		$imageNumber = $_POST['imagesNumber'];
		
		$imageCount = $_POST['imageCount'];
		//$ajaxurl = $_POST['pass_ajaxurl'];
		
		$this->pagination = new SMP_Pagination($this->currentPage, $imageNumber, $imageCount);
		
		$this->totalPages = $this->pagination->total_pages();
		
		$id = $_POST['id'];
		$key = $_POST['key'];
		
		//$images = $f->images_get( "AlbumID={$id}", "AlbumKey={$key}", "Heavy=1" );
		
                $images = $this->phpsmug_functions('images_get',array('AlbumID' => $id, 'AlbumKey' => $key, 'Heavy' => '1'));
                
		$this->images_array = $images['Images'];
		
		if($imageNumber != 'All') {
			$this->paged_images = array_slice($this->images_array,$this->pagination->offset(),$imageNumber);			
		} else {
			$this->paged_images = $this->images_array;	
		}
		$this->renderer('manage-album-images');
		
		die(); // this is required to return a proper result in Wordpress's ajax system
	}
	function smugpress_manage_album() {
            //global $f;
            if(!empty($_POST['smugpress_delete_album'])) {
                //$f->albums_delete( 'AlbumID='. $_POST['smugpress_delete_album_id'] );
                $this->phpsmug_functions('albums_delete',array('AlbumID' => $_POST['smugpress_delete_album_id']));
                //$f->clearCache();
                ?>
                    <script type="text/javascript" charset="utf-8">
                        window.location = '<?php echo $url_for_admin.'admin.php?page=smugmug-manage-albums'; ?>';
                    </script>
                <?php
            }
            $this->renderer('manage-album-main');
	}
	
}

global $manage_album;
$manage_album = new Admin_ManageAlbums_ManageAlbum();
