<div class="wrap">			
	<h2>Create SmugMug Album</h2>
	<form action="" method="post" accept-charset="utf-8">
		<?php settings_fields('smugpress_options'); ?>
		<table class="form-table smugpress">
				<tbody>
					<tr valign="top">
						<th scope="row">Title:</th>
						<td>
							<?php $this->smugpress_field_creation(array('name' => 'Title'),$album,'text'); ?>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row">Description:</th>
						<td>
							<span class="description">Please give a few words about this album?</span><br />
							<?php $this->smugpress_field_creation(array('name' => 'Description'),$album,'textarea'); ?>
							
						</td>
					</tr>
					<tr valign="top">
						<th scope="row">Keywords:</th>
						<td>
							<?php $this->smugpress_field_creation(array('name' => 'Keyword'),$album,'text'); ?>
							&nbsp;&nbsp;<span class="description">Please enter keywords for this album separated by a comma</span>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row">Publically Viewable:</th>
						<td>
							<?php $this->smugpress_field_creation(array('name' => 'Public'),$album,'boolean'); ?>
							&nbsp;&nbsp;<span class="description">Should this Album be viewable to anyone who comes here or to SmugMug?</span>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row">Category:</th>
						<td>
							<?php $this->smugpress_field_creation(array(
							'name' => 'CategoryID','value' => $this->categories_value),$album['Category']['id'],'select'); ?>
							&nbsp;&nbsp;<span class="description">What category should this album be in?</span>
							
						</td>
					</tr>
					<tr id="new-category" valign="top" style="display:none;">
						<th scope="row">New Category Name:</th>
						<td>
							<?php $this->smugpress_field_creation(array(
							'name' => 'NewCategoryName'),$this->album,'text'); ?>
							&nbsp;&nbsp;<span class="description">What is the name of the new the new Category?</span>
					</tr>
					<tr valign="top">
						<th scope="row">Sub Category:</th>
						<td>
							<?php $this->smugpress_field_creation(array(
							'name' => 'SubCategoryID','value' => $subcategories_value),$album['SubCategory']['id'],'select'); ?>
						</td>
					</tr>
					<tr id="new-subcategory" valign="top" style="display:none;">
						<th scope="row">New Sub-Category Name:</th>
						<td>
							<?php $this->smugpress_field_creation(array(
							'name' => 'NewSubCategoryName'),$this->album,'text'); ?>
							&nbsp;&nbsp;<span class="description">What is the name of the new Sub Category?</span>
						</td>
					</tr>
					<?php /*
					 * Not saving empty passwords, so I disabled it.
					 */ ?>
					<tr valign="top">
						<th scope="row">Password:</th>
						<td>
							<?php $this->smugpress_field_creation(array('name' => 'Password'),$album,'text'); ?>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row">Password Hint:</th>
						<td>
							<?php $this->smugpress_field_creation(array('name' => 'PasswordHint'),$album,'text'); ?>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row">Thumbnails:</th>
						<td>
							<?php $this->smugpress_field_creation(array('name' => 'SquareThumbs', 'values' => array(
							array('title' => 'Square', 'value' => '1', 'description' => 'Crop thumbnails into squares?'),
							array('title' => 'Original', 'value' => '0', 'description' => 'Keep the aspect ratio of your photos?')
							)),$album,'radio'); ?>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row">Picture Sizes:</th>
						<td>
							<?php $this->smugpress_field_creation(array('names' => array('Larges','XLarges','X2Larges','X3Larges','Originals',))
							,$album,'checkbox'); ?>
							&nbsp;&nbsp;<span class="description">What sizes should be available to the visitor?</span>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row">Sort Direction:</th>
						<td>
							<?php $this->smugpress_field_creation(array('name' => 'SortDirection', 'values' => array(
							array('title' => 'Ascending', 'value' => '0', 'description' => '(1-99, A-Z, 1980-2004, etc)'),
							array('title' => 'Descending', 'value' => '1', 'description' => '(99-1, Z-A, 2004-1980, etc)')
							)),$album,'radio'); ?>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row">Custom Sort Methond:</th>
						<td>
							<select name="SortMethod" id="SortMethod">
								<option value="">Select Sort Method</option>
								<option value="Position">Default (Position)</option>
								<option value="Caption">By caption</option>
								<option value="FileName">By filenames</option>
								<option value="Date">By date uploaded</option>
								<option value="DateTime">By date modified (if available)</option>
								<option value="DateTimeOriginal">By date taken (if available)</option>
							</select>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row">World Searchable:</th>
						<td>
							<?php $this->smugpress_field_creation(array('name' => 'WorldSearchable'),$album,'boolean'); ?>
							&nbsp;&nbsp;<span class="description">Allow search engines to index images from the album.</span>
						</td>
					</tr>
					<?php if(!empty($watermarks)): ?>
					<tr valign="top">
						<th scope="row">Apply Watermark:</th>
						<td>
							<?php $this->smugpress_field_creation(array('name' => 'Watermarking'),$album,'boolean'); ?>
							&nbsp;&nbsp;<span class="description">Enable automatic watermarking of images for the album.</span>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row">Watermark:</th>
						<td>
							<?php $this->smugpress_select(array(
							'name' => 'WatermarkID','value' => $categories_value),$album['WatermarkID']); ?>
							&nbsp;&nbsp;<span class="description">What watermark should be used?</span>
						</td>
					</tr>
					<?php endif; ?>
				</tbody>
			</table>
		<p class="submit">
			<input name="Submit" type="submit" class="button-primary" value="<?php esc_attr_e('Save Changes'); ?>" />
		</p>
	</form>
		