<div class="wrap">

    <h2>SmugMug Custom Categories</h2>
    <p>Click on one of the links below to start editing</p>
    <button id="category" class="button-secondary">Edit Categories</button>
    <div id="categories" style="display:none">
        <h3>Create Your Own Category:</h3>
        <form id="create-category" method="post" accept-charset="utf-8">
            <table class="form-table smugpress">
                <tbody>
                    <tr valign="top">
                        <th scope="row">Name:</th>
                        <td>
                                <?php $this->smugpress_field_creation(array('name' => 'Name'),$this->album,'text'); ?>
                        </td>
                    </tr>
                    <tr valign="top">
                        <th scope="row">NiceName:</th>
                        <td>
                                <?php $this->smugpress_field_creation(array('name' => 'NiceName'),$this->album,'text'); ?>
                        </td>
                    </tr>
                </tbody>
            </table>
            <p class="submit">
                <input name="FormType" type="hidden" value="category-create" />
                <input name="Submit" type="submit" class="button-primary" value="<?php esc_attr_e('Create'); ?>" />
            </p>
        </form>

        <hr />

            <h3>Delete a Category</h3>

            <form id="create-category" method="post" accept-charset="utf-8">
                    <table class="form-table smugpress">
                            <tbody>
                                    <tr valign="top">
                                            <th scope="row">Category:</th>
                                            <td>
                                                    <?php $this->smugpress_field_creation(array('name' => 'CategoryID','value' => $this->categories_custom),$this->album,'select'); ?>
                                            </td>
                                    </tr>
                            </tbody>
                    </table>
                    <p class="submit">
                            <input name="FormType" type="hidden" value="category-delete" />
                            <input name="Submit" type="submit" class="button-primary" value="<?php esc_attr_e('Delete'); ?>" />
                    </p>
            </form>

            <hr />

            <h3>Rename a Category (Broken!)</h3>

            <div id="message"><p><strong>Currently Broken!</strong></p><p>Under the current version of the SmugMug API this <strong>ONE</strong> API call is broken.  It will be fixed as soon as SmugMug's API is fixed.</p></div>



            <?php /*<form id="create-category" method="post" accept-charset="utf-8">
                    <table class="form-table smugpress">
                            <tbody>
                                    <tr valign="top">
                                            <th scope="row">Category:</th>
                                            <td>
                                                    <?php $this->smugpress_field_creation(array('name' => 'CategoryID','value' => $this->categories_custom),$this->album,'select'); ?>
                                            </td>
                                    </tr>
                                    <tr valign="top">
                                            <th scope="row">New Name:</th>
                                            <td>
                                                    <?php $this->smugpress_field_creation(array('name' => 'Name'),$this->album,'text'); ?>
                                            </td>
                                    </tr>
                                    <tr valign="top">
                                            <th scope="row">NiceName:</th>
                                            <td>
                                                    <?php $this->smugpress_field_creation(array('name' => 'NiceName'),$this->album,'text'); ?>
                                            </td>
                                    </tr>
                            </tbody>
                    </table>
                    <p class="submit">
                            <input name="FormType" type="hidden" value="category-rename" />
                            <input name="Submit" type="submit" class="button-primary" value="<?php esc_attr_e('Rename'); ?>" />
                    </p>
            </form>*/ ?>
    </div>
    <hr />
    <button id="subcategory" class="button-secondary">Edit Subcategories</button>
    <div id="sub-categories" style="display:none">
            <h3>Create Your Own Sub Category:</h3>
            <form id="create-category" method="post" accept-charset="utf-8">
                    <table class="form-table smugpress">
                            <tbody>
                                    <tr valign="top">
                                            <th scope="row">Parent Category:</th>
                                            <td>
                                                    <?php $this->smugpress_field_creation(array('name' => 'CategoryID','value' => $this->categories_value),$this->album,'select'); ?>
                                            </td>
                                    </tr>
                                    <tr valign="top">
                                            <th scope="row">Name:</th>
                                            <td>
                                                    <?php $this->smugpress_field_creation(array('name' => 'Name'),$this->album,'text'); ?>
                                            </td>
                                    </tr>
                                    <tr valign="top">
                                            <th scope="row">NiceName:</th>
                                            <td>
                                                    <?php $this->smugpress_field_creation(array('name' => 'NiceName'),$this->album,'text'); ?>
                                            </td>
                                    </tr>
                            </tbody>
                    </table>
                    <p class="submit">
                            <input name="FormType" type="hidden" value="subcategory-create" />
                            <input name="Submit" type="submit" class="button-primary" value="<?php esc_attr_e('Create'); ?>" />
                    </p>
            </form>

            <hr />

            <h3>Delete a Category</h3>

            <form id="create-category" method="post" accept-charset="utf-8">
                    <table class="form-table smugpress">
                            <tbody>
                                    <tr valign="top">
                                            <th scope="row">Parent Category:</th>
                                            <td id="parent-category-delete">
                                                    <?php $this->smugpress_field_creation(array('name' => 'CategoryID','value' => $this->categories_value),$this->album,'select'); ?>
                                            </td>
                                    </tr>
                                    <tr id="subcategory" valign="top">
                                            <th scope="row">Sub Category:</th>
                                            <td id="subcategory-delete">
                                                    <?php $this->smugpress_field_creation(array('name' => 'SubCategoryID'),$this->album,'select'); ?>
                                            </td>
                                    </tr>
                            </tbody>
                    </table>
                    <p class="submit">
                            <input name="FormType" type="hidden" value="subcategory-delete" />
                            <input name="Submit" type="submit" class="button-primary" value="<?php esc_attr_e('Delete'); ?>" />
                    </p>
            </form>

            <hr />

            <h3>Rename a Sub Category</h3>

            <form id="create-category" method="post" accept-charset="utf-8">
                    <table class="form-table smugpress">
                            <tbody>
                                    <tr valign="top">
                                            <th scope="row">Parent Category:</th>
                                            <td id="parent-category-rename">
                                                    <?php $this->smugpress_field_creation(array('name' => 'CategoryID','value' => $this->categories_value),$this->album,'select'); ?>
                                            </td>
                                    </tr>
                                    <tr id="subcategory" valign="top">
                                            <th scope="row">Sub Category:</th>
                                            <td id="subcategory-rename">
                                                    <?php $this->smugpress_field_creation(array('name' => 'SubCategoryID'),$this->album,'select'); ?>
                                            </td>
                                    </tr>
                                    <tr valign="top">
                                            <th scope="row">New Name:</th>
                                            <td>
                                                    <?php $this->smugpress_field_creation(array('name' => 'Name'),$this->album,'text'); ?>
                                            </td>
                                    </tr>
                                    <tr valign="top">
                                            <th scope="row">NiceName:</th>
                                            <td>
                                                    <?php $this->smugpress_field_creation(array('name' => 'NiceName'),$this->album,'text'); ?>
                                            </td>
                                    </tr>
                            </tbody>
                    </table>
                    <p class="submit">
                            <input name="FormType" type="hidden" value="subcategory-rename" />
                            <input name="Submit" type="submit" class="button-primary" value="<?php esc_attr_e('Rename'); ?>" />
                    </p>
            </form>
    </div>
	
</div>

